org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPFunctionScope

All Superinterfaces:
  ICPPScope, IScope

    public interface ICPPFunctionScope
    extends ICPPScope

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

### Method Summary

All Methods Instance Methods Abstract Methods
`IScope` `getBodyScope()` Returns the scope representing the function body, or `null` if there is no function definition.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

### Method Detail

#### getBodyScope

    IScope getBodyScope()
                 throws DOMException

Returns the scope representing the function body, or `null` if there is no function definition.

Throws:
  `DOMException`